# RSC Coleslaw World Config
# Botting is allowed on this world

database:
	db_name: coleslaw # MODIFIED

world:
	server_name: RSC Coleslaw # MODIFIED
	server_name_welcome: RSC Coleslaw # MODIFIED
	welcome_text: Enjoy botting on this cabbage-like world! # MODIFIED
	display_logo_sprite: false # MODIFIED
	logo_sprite_id: 2010
	game_tick: 430 # MODIFIED
	walking_tick: 430 # MODIFIED
	want_custom_walking_speed: false # Do we want to enable custom walking speed?
	idle_timer: 600000 # MODIFIED
	auto_save: 30000 # 30 second autosave interval
	client_version: 8
	server_port: 43599 # MODIFIED
	max_connections_per_ip: 40 # MODIFIED
	max_connections_per_second: 40 # MODIFIED
	max_packets_per_second: 100 # MODIFIED
	max_logins_per_second: 20 # MODIFIED
	max_password_guesses_per_five_minutes: 10 # Number of password/recover guesses an IP address can make per 5 minutes
	network_flood_ip_ban_minutes: 1 # MODIFIED
	suspicious_player_ip_ban_minutes: 1 # MODIFIED
	server_location: USA
	max_players: 2000
	max_players_per_ip: 21 # MODIFIED
	avatar_generator: false # Generates avatar images of players but uses extra RAM
	member_world: true
	want_pcap_logging: false
	world_number: 1
	player_level_limit: 99
	want_experience_cap: true # MODIFIED
	experience_limit: -294967296 # Equal to 4B as unsigned
	combat_exp_rate: 2 # MODIFIED
	skilling_exp_rate: 2 # MODIFIED
	wilderness_boost: 0
	skull_boost: 0
	double_exp: false
	npc_respawn_multiplier: 0.7 # MODIFIED
	want_registration_limit: false # MODIFIED
	packet_limit: 200 # MODIFIED
	connection_limit: 40 # MODIFIED
	connection_timeout: 15
	want_fatigue: false # MODIFIED
	stop_skilling_fatigued: 0 # MODIFIED
	aggro_range: 3 # MODIFIED
	character_creation_mode: 1 # MODIFIED
	ring_of_recoil_limit: 40
	ring_of_forging_uses: 75
	dwarven_ring_uses: 29
	dwarven_ring_bonus: 3
	# check_admin_ip: false # Check the ip that the admin account is logging in from. Helps prohitbit unauthorized access.
	# admin_ip: 127.0.0.0,10.0.0.0,172.16.0.0,192.168.0.0 # IP/s from which the admin can connect from. Comma separated list. No spaces. Default is 127.0.0.0,10.0.0.0,172.16.0.0,192.168.0.0 . 127 is loopback (localhost) and the rest are private IP identities.
	location_data: 2 # MODIFIED
	want_fixed_broken_mechanics: true # MODIFIED
	want_decorated_mod_room: true # MODIFIED
	want_auto_server_shutdown: false # causes the server to shutdown at a specified time for a cron to then start
	restart_hour: 7 # if want_auto_server_shutdown is set to true, the server will shut down at 7:00AM, local system time
	want_reset_event: false # MODIFIED

client:
	view_distance: 2
	zoom_view_toggle: true # MODIFIED
	fog_toggle: true # MODIFIED
	ground_item_toggle: true # MODIFIED
	menu_combat_style_toggle: true # MODIFIED
	fightmode_selector_toggle: true # MODIFIED
	experience_counter_toggle: true # MODIFIED
	experience_drops_toggle: true # MODIFIED
	items_on_death_menu: true # MODIFIED
	show_roof_toggle: true # MODIFIED
	want_skill_menus: true # MODIFIED
	want_quest_menus: true # MODIFIED
	want_quest_started_indicator: true # MODIFIED
	want_hide_ip: true # MODIFIED
	want_remember: true # MODIFIED
	client_fps: 50 # Authentic is 50
	want_email: true # MODIFIED
	allow_resize: true # MODIFIED
	lenient_contact_details: true # MODIFIED
	char_name_can_contain_mod: false # Allow players to create characters with the word "mod" in the name

custom_features:
	custom_sprites: true # MODIFIED
	want_custom_ui: false
	want_custom_quests: true # MODIFIED
	spawn_auction_npcs: true # MODIFIED
	spawn_iron_man_npcs: true # MODIFIED
	show_floating_nametags: true # MODIFIED
	want_clans: true # MODIFIED
	want_kill_feed: true # MODIFIED
	side_menu_toggle: true # MODIFIED
	inventory_count_toggle: true # MODIFIED
	auto_message_switch_toggle: true # MODIFIED
	hide_login_box_toggle: true # MODIFIED
	batch_progression: true # MODIFIED
	custom_improvements: true # MODIFIED
	want_global_chat: false
	want_global_friend: true # MODIFIED
	global_message_cooldown: 0 # Time in milliseconds before players are allowed to send another global message
	want_experience_elixirs: false
	want_keyboard_shortcuts: 2 # MODIFIED
	want_custom_rank_display: true # MODIFIED
	custom_firemaking: true # MODIFIED
	want_drop_x: true # MODIFIED
	want_exp_info: true # MODIFIED
	want_woodcutting_guild: true # MODIFIED
	want_missing_guild_greetings: true # MODIFIED
	want_decanting: true # MODIFIED
	player_commands: true # MODIFIED
	npc_blocking: 0 # MODIFIED
	player_blocking: 0 # 0 disables player blocking; 1 authentic 2018 RSC (players walk through players unless last point on their path); 2 players act like solid objects (2001 era RSC)
	npc_dont_retreat: true # MODIFIED
	message_full_inventory: false # Shows message to the player if an item drops when skilling due to a full inventory
	want_pets: false # Enables following NPC pets and their capture items
	max_walking_speed: 1 # Number of spaces players can move per game tick. 1 is default
	max_ticks_until_full_walking_speed: 5 # MODIFIED
	show_unidentified_herb_names: true # MODIFIED
	fishing_spots_depletable: true # MODIFIED
	improved_item_object_names: true # MODIFIED
	crystal_key_gives_xp: true # MODIFIED
	looted_chests_stuck: true # MODIFIED
	want_runecraft: true # MODIFIED
	want_harvesting: true # MODIFIED
	want_custom_leather: true # MODIFIED
	custom_landscape: true # MODIFIED
	want_equipment_tab: true # MODIFIED
	want_bank_presets: true # MODIFIED
	mining_rocks_extended: true # MODIFIED
	want_new_rare_drop_tables: true # MODIFIED
	want_leftclick_webs: true # MODIFIED
	want_improved_pathfinding: false # Enables the ASTAR pathing algorithm for chasing NPCs
	can_use_cracker_on_self: false # Allows players to use Christmas Crackers / Trick or treat crackers / Presents on characters with the same IP address
	fix_overhead_chat: true # MODIFIED
	want_better_jewelry_crafting: true # MODIFIED
	more_shafts_per_better_log: true # MODIFIED
	faster_yohnus: true # MODIFIED
	want_chain_legs: true # MODIFIED
	want_apothecary_qol: true # MODIFIED
	want_ranged_face_player: true # MODIFIED
	want_poison_npcs: false # NPC's can be poisoned by poison weapons, arrows, bolts, and throwables.

parties:
    want_parties: true # MODIFIED
	party_additional_xp_percent_per_player: 0.06 # How much additional XP to award for larger parties
	party_distance_percent_decrease: 0.07 # How much less XP should be awarded based on distance from skiller
	party_save_xp_for_skiller_percent: 0.4 # How much xp to save for the skiller
	party_share_max_x: 20 # Maximum x distance for sharing XP
	party_share_max_y: 20 # Maximum y distance for sharing XP
	party_share_infinite_range: false # Allow XP sharing to have infinite range
	party_share_with_same_ip: false # Allow accounts on the same IP to share XP.
	party_share_size_algorithm: linear # Algorithm used for determining additional XP to be given to larger parties.
	party_share_distance_algorithm: exponential # Algorithm used for determining the XP dropoff based on distance from party member. (exponential or linear)
	party_max_size_for_additional_xp: 5 # How many party members should count for adding additional XP when sharing.
	party_iron_man_can_share: false # Should iron man give/receive shared XP?

discord:
	want_discord_auction_updates: false # Should a discord webhook be called for auction house changes?
	want_discord_monitoring_updates: false # Should a discord webhook be called for performance monitoring?
	want_discord_bot: false # Utilize a Discord chat bot integration?
	cross_chat_channel: 0 # Channel used in Discord for in-game to Discord cross chat

bank:
	right_click_bank: true # MODIFIED
	want_custom_banks: true # MODIFIED
	want_bank_pins: true # MODIFIED
	want_bank_notes: true # MODIFIED
	want_cert_deposit: true # MODIFIED
	want_certer_bank_exchange: true # MODIFIED
	want_cert_as_notes: false # Instead of having certs for any tradeable, display as note

shop:
	right_click_trade: true # MODIFIED

npc_kills:
	npc_kill_list: true # MODIFIED
	npc_kill_messages: true # MODIFIED
	npc_kill_messages_filter: false # Only display kill messages for npcs in npc_kill_messages_npcs
	npc_kill_messages_npcs: King Black Dragon,Black Dragon # Comma separated list without spaces
	npc_kill_logging: true

valuable_drops:
	valuable_drop_messages: true # MODIFIED
	valuable_drop_ratio: 3 # MODIFIED
	valuable_drop_extras: true # MODIFIED
	valuable_drop_items: Half of a key,Half Dragon Square Shield # Comma separated list without spaces

glitch_checks:
	strict_check_all: false # Makes all checks strict
	strict_pdart_check: false # Makes the poisoned throwing dart requirement strict
	strict_pknife_check: false # Makes the poisoned throwing knife requirement strict
	strict_pspear_check: false # Makes the poisoned spear requirement strict
	loose_shallow_water_check: true # MODIFIED

custom_quest_and_minigame:
	want_gianne_badge: true # MODIFIED
	want_blurberry_badge: true # MODIFIED
	want_extended_cats_behavior: true # MODIFIED
	want_barter_wormbrains: true # MODIFIED
	locked_post_quest_regions_accessible: true # MODIFIED
	can_retrieve_post_quest_items: true # MODIFIED
